// Server_IAI.cs - TDM/CTF using Instant AI

//-------------------------------------------------
// Edit the parameters of this file to configure
// your server options. Use notepad, not a word
// processor. File must be saved as text only.
//-------------------------------------------------

// If you comment out $motd in motd.cs
// then each server can set its own here:
$motd = "Your message of the day goes here.";

//-------------------------------------------------
// Determines game type and maps. Uncomment only one.
// Select maps below.
//-------------------------------------------------
$IAI::GameType = "TDM";
//$IAI::GameType = "CTF";

exec("iai\\param.cs");
exec(serverLocation);

//-------------------------------------------------
// Type the name for your server inside the quotes
// Must be less then 22 characters
//-------------------------------------------------
//$server::Hostname = "Your Hostname";
$server::Hostname = $Location@": "@$IAI::GameType;

//-------------------------------------------------
// Password Protection. Leave blank for none.
//-------------------------------------------------
$server::Password = "yourpassword";
$TelnetPassword = "yourpassword";
$TelnetPort = 29001;

//-------------------------------------------------
// Maximum player limit. 16 is highest recommended.
//-------------------------------------------------
$server::MaxPlayers = 4;

//-------------------------------------------------
// Number of kills before server cycles.
// If zero, kills are never reset.
//-------------------------------------------------
$server::FragLimit = 0;

//-------------------------------------------------
// Time limit in minutes before server cycles.
// Must be a positive integer.
//-------------------------------------------------
$server::TimeLimit = 20;

//-------------------------------------------------
// Mass limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::MassLimit = 0;

//-------------------------------------------------
// Combat Value limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::CombatValueLimit = 0;

//-------------------------------------------------
// Team play options. TeamPlay false =  deathmatch.
// TeamPlay true = teams
//-------------------------------------------------
$server::TeamPlay = true;

//-------------------------------------------------
// Team Mass limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamMassLimit = 0;

//-------------------------------------------------
// Team Combat Value Limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamCombatValueLimit = 0;

//-------------------------------------------------
// Tech Level Limit
// Must be a positive integer less then or
// equal to 128 or zero for no limit.
//-------------------------------------------------
$server::TechLevelLimit = 0;

//-------------------------------------------------
// Drop In Progress
// Does server allow drop in progress??
//-------------------------------------------------
$server::DropInProgress = TRUE;

$server::AllowMixedTech = TRUE;
$server::FactoryVehOnly = FALSE;

//-------------------------------------------------
// Teams. Game types constrain the combinations.
// Note: Some maps below require certain teams.
//-------------------------------------------------
if ($IAI::GameType == "CTF") {
	// Blue/Purple
	$server::AllowTeamRed = FALSE;
	$server::AllowTeamYellow = FALSE;
	$server::AllowTeamBlue = TRUE;
	$server::AllowTeamPurple = TRUE;
}

if ($IAI::GameType == "TDM") {
	// activate only one of these
	if (1) {
		// Red/Blue
		$server::AllowTeamRed = TRUE;
		$server::AllowTeamYellow = FALSE;
		$server::AllowTeamBlue = TRUE;
		$server::AllowTeamPurple = FALSE;
	}
	if (0) {
		// Yellow/Purple
		$server::AllowTeamRed = FALSE;
		$server::AllowTeamYellow = TRUE;
		$server::AllowTeamBlue = FALSE;
		$server::AllowTeamPurple = TRUE;
	}
	if (0) {
		// All four teams
		$server::AllowTeamRed = TRUE;
		$server::AllowTeamYellow = TRUE;
		$server::AllowTeamBlue = TRUE;
		$server::AllowTeamPurple = TRUE;
	}
	// create your own combinations here...
}

//-------------------------------------------------
// Mission rotation list. This is the order the
// worlds will cycle in a game with either the frag
// or time limits set.
//
// Note: this is different from the $MissionCycling
// you're probably used to. Initialize as many $MVMap
// entries as you like between START and END comments.
// You can add, move, or comment out lines, no
// renumbering required.
//-------------------------------------------------

//-------------------------------------------------
// 1 means randomize map order each server start.
//-------------------------------------------------
$server::AutoShuffle = 1;

%n = -1;

// START $MVMap[]

if ($IAI::GameType == "CTF") {
if (1) {
// stock CTF maps
$MVMap[%n++] = "CTF_Balance_of_Power";
$MVMap[%n++] = "CTF_Circular_Logic";
$MVMap[%n++] = "CTF_City_on_the_Edge";
$MVMap[%n++] = "CTF_Winter_Wasteland";
}
if (0) {
// BETA CTF maps
$MVMap[%n++] = "CTF_Saint_Nicks_Apocalypse_BETA";
$MVMap[%n++] = "CTF_City_on_the_Edge_BETA";
$MVMap[%n++] = "CTF_Circular_Logic_BETA";
}
}

if ($IAI::GameType == "TDM") {
if (1) {
// stock TDM maps
$MVMap[%n++] = "DM_Terran_Conquest";
$MVMap[%n++] = "DM_Bloody_Brunch";
$MVMap[%n++] = "DM_City_on_the_Edge";
$MVMap[%n++] = "DM_Cold_Titan_Night";
$MVMap[%n++] = "DM_Fear_in_Isolation";
$MVMap[%n++] = "DM_Heavens_Peak";
$MVMap[%n++] = "DM_Impact";
$MVMap[%n++] = "DM_Lunacy";
$MVMap[%n++] = "DM_Mercury_Rising";
$MVMap[%n++] = "DM_Moonstrike";
$MVMap[%n++] = "DM_Requiem_for_Gen_Lanz";
$MVMap[%n++] = "DM_Sacrifice_to_Bast";
$MVMap[%n++] = "DM_State_of_Confusion";
$MVMap[%n++] = "DM_The_Guardian";
$MVMap[%n++] = "DM_Twin_Siege";
$MVMap[%n++] = "DM_Avalanche";
}
if (0) {
// BETA maps
$MVMap[%n++] = "TDM_Requiem_for_Gen_Lanz_BETA";
$MVMap[%n++] = "TDM_Flyboy_Central_BETA";
$MVMap[%n++] = "TDM_Bloody_Brunch_BETA";
if ($server::AllowTeamRed && !$server::AllowTeamYellow && !$server::AllowTeamBlue && !$server::AllowTeamPurple) {
$MVMap[%n++] = "DM_Sacrifice_to_Bast_BETA";
$MVMap[%n++] = "DM_Lunar_Boardwalk_BETA.cs";
}
}
if (0) {
// SLA Starsiege League Games Maps (download: http://www6.50megs.com/temujin)
// Red vs Blue TDM only
if ($server::AllowTeamRed && !$server::AllowTeamYellow && $server::AllowTeamBlue && !$server::AllowTeamPurple) {
$MVMap[%n++] = "SSL_Callisto";
$MVMap[%n++] = "SSL_Ceres";
$MVMap[%n++] = "SSL_Charon";
$MVMap[%n++] = "SSL_Deimos";
$MVMap[%n++] = "SSL_Earth";
$MVMap[%n++] = "SSL_Ganymede";
$MVMap[%n++] = "SSL_Gaspra";
$MVMap[%n++] = "SSL_Halley";
$MVMap[%n++] = "SSL_Hygiea";
$MVMap[%n++] = "SSL_IAPETUS";
$MVMap[%n++] = "SSL_Ida";
$MVMap[%n++] = "SSL_Jupiter";
$MVMap[%n++] = "SSL_Luna";
$MVMap[%n++] = "SSL_Mars_Teo_Lite";
$MVMap[%n++] = "SSL_Mars_Teotihuacan";
$MVMap[%n++] = "SSL_Mercury_Alamo";
$MVMap[%n++] = "SSL_Neptune";
$MVMap[%n++] = "SSL_Oberon";
$MVMap[%n++] = "SSL_Pallas";
$MVMap[%n++] = "SSL_Phobos";
$MVMap[%n++] = "SSL_Pluto";
$MVMap[%n++] = "SSL_Proteus";
$MVMap[%n++] = "SSL_Saturn";
$MVMap[%n++] = "SSL_Titan";
$MVMap[%n++] = "SSL_Triton";
$MVMap[%n++] = "SSL_Umbriel";
$MVMap[%n++] = "SSL_Uranus";
$MVMap[%n++] = "SSL_Venus";
$MVMap[%n++] = "SSL_Vestas";
//$MVMap[%n++] = "SSL_Waiting_Room";
}
}
if (0) {
// Pin's maps (download: http://www.geocities.com/SoHo/Nook/9351/maps/DMindex.html)
//$MVMap[%n++] = "DM_Impact_ReduxB"; // laggy, too much stuff
$MVMap[%n++] = "DM_Bastage";
$MVMap[%n++] = "DM_IceHole";
$MVMap[%n++] = "DM_TitanDusk";
$MVMap[%n++] = "DM_Borrego";
//$MVMap[%n++] = "DM_Arbeit"; // AI get stuck easy, won't use ramps
}
}

// END $MVMap[]

%n++;
if ($server::AutoShuffle) {
	for (%i=0;%i<%n;%i++) {
		%r = randomInt(0,%n-1);
		%tmp = $MVMap[%i];
		$MVMap[%i] = $MVMap[%r];
		$MVMap[%r] = %tmp;
	}
}

// Translate $MVMap[] -> $MissionCycling::StageX
for (%i=0;%i<%n;%i++) {
	%cmd = "$MissionCycling::Stage"@%i@"=$MVMap["@%i@"];";
	eval(%cmd);
}
$server::Mission = $MissionCycling::Stage0;

// Limits here only affect human players, read iai.html to alter AI configs.
function setAllowedItems()
{
	// vehicles
	allowVehicle(all,false);// first turn them all off

	// Terran Vehicles
	allowVehicle(1,true);// Terran Apocalypse 
	allowVehicle(2,true);// Terran Minotaur
	allowVehicle(3,true);// Terran Gorgon
	allowVehicle(4,true);// Terran Talon
	allowVehicle(5,true);// Terran Basilisk
	allowVehicle(6,true);// Paladin Tank
	allowVehicle(7,true);// Myrmidon Tank
	allowVehicle(8,true);// Disruptor Tank 
	allowVehicle(133,false);// Nike Artillery 
	allowVehicle(134,false);// Supressor Tank 
	allowVehicle(9,false);// Banshee Flyer
	allowVehicle(18,false);// Cargo ship
	allowVehicle(19,false);// Escape ship 
	allowVehicle(130,false);// Drop ship
	allowVehicle(131,false);// Draco Bomber
	allowVehicle(132,false);// Conveyor 
 

	// Knight Vehicles
	allowVehicle(10,true);// Knight's Apocalypse
	allowVehicle(11,true);// Knight's Minotaur
	allowVehicle(12,true);// Knight's Gorgon
	allowVehicle(13,true);// Knight's Talon
	allowVehicle(14,true);// Knight's Basilisk
	allowVehicle(15,true);// Knight's Paladin 
	allowVehicle(16,true);// Knight's Myrmidon
	allowVehicle(17,true);// Knight's Disruptor
	allowVehicle(110,false);// Knight's Banshee 
	allowVehicle(111,false);// Knight's Drop Ship


	// Cybrid Vehicles
	allowVehicle(20,true);// Cybrid Seeker 
	allowVehicle(21,true);// Cybrid Goad
	allowVehicle(22,true);// Cybrid Shepherd
	allowVehicle(23,true);// Cybrid Adjudicator
	allowVehicle(24,true);// Cybrid Executioner
	allowVehicle(25,true);// Bolo Tank
	allowVehicle(26,true);// Recluse Tank
	allowVehicle(27,false); // Platinum Adjudicator (SP version, not selectable)
	allowVehicle(28,false); // Platinum Executioner (SP version, not selectable)
	allowVehicle(55,true);// Platinum Adjudicator 2
	allowVehicle(56,true);// Platinum Executioner 2
	allowVehicle(90,false);// Cybrid Artillery 
	allowVehicle(91,false);// Cybrid Advocate
	allowVehicle(92,false);// Cybrid Drop Ship 
	allowVehicle(93,false);// Cybrid Consul Bomber

	// Metagen Vehicles
	allowVehicle(35,true);// Metagen Seeker
	allowVehicle(36,true);// Metagen Goad
	allowVehicle(37,true);// Metagen Shepherd 
	allowVehicle(38,true);// Metagen Adjudicator
	allowVehicle(39,true);// Metagen Executioner

	// Rebel Vehicles
	allowVehicle(30,true);// Rebel Emancipator
	allowVehicle(31,true);// Avenger Tank
	allowVehicle(32,true);// Dreadnought Tank
	allowVehicle(33,true);// Rebel Olympian 
	allowVehicle(72,false);// Rebel Thumper
	allowVehicle(137,false);// Rebel Artillery
	allowVehicle(138,false);// Rebel bike
	allowVehicle(150,false);// SUAV Bus

	// Special Vehicles
	allowVehicle(40,false);// Harabec's Apocalypse
	allowVehicle(43,false);// Harabec's Apocalypse, cin
	allowVehicle(41,true);// Harabec's Predator
	allowVehicle(45,false);// Harabec's Super Predator
	allowVehicle(42,false);// Caanan's Basilisk
	allowVehicle(44,false);// Caanan's Basilisk, cin 
	allowVehicle(29,false);// Prometheus 

	// Pirate Vehicles
	allowVehicle(50,false);// Pirate's Apocalypse
	allowVehicle(51,false);// Pirate's Dreadlock
	allowVehicle(52,true);// Pirate's Emancipator

	// Drone Vehicles
	allowVehicle(60,false);// Terran Empty Cargo
	allowVehicle(61,false);// Terran Ammo Cargo 
	allowVehicle(62,false);// Terran Big Ammo Cargo
	allowVehicle(63,false);// Terran Big Personnel Cargo 
	allowVehicle(64,false);// Terran Fuel Cargo 
	allowVehicle(65,false);// Terran Minotaur Cargo
	allowVehicle(71,false);// Terran Utility Truck 
	allowVehicle(135,false);// Terran Sovereign
	allowVehicle(136,false);// Terran Surveyor
	allowVehicle(73,false);// Terran Starefield 
	allowVehicle(66,false);// Rebel Empty Cargo 
	allowVehicle(67,false);// Rebel Ammo Cargo
	allowVehicle(68,false);// Rebel Big Cargo Transport
	allowVehicle(69,false);// Rebel Bix Box Cargo Transport
	allowVehicle(70,false);// Rebel Box Cargo Transport
	allowVehicle(94,false);// Cybrid Omnicrawler
	allowVehicle(95,false);// Cybrid Protector
	allowVehicle(96,false);// Cybrid Jamma

	//weapons
	allowWeapon(all,FALSE);
	allowWeapon(101,TRUE);//Laser
	allowWeapon(102,TRUE);//Heavy Laser
	allowWeapon(103,TRUE);//Comp Laser
	allowWeapon(104,TRUE);//Twin Laser
	allowWeapon(105,TRUE);//Emp
	allowWeapon(106,TRUE);//ELF
	allowWeapon(107,TRUE);//Blaster
	allowWeapon(108,TRUE);//Heavy Blaster
	allowWeapon(109,TRUE);//PBW
	allowWeapon(110,TRUE);//Plasma
	allowWeapon(111,TRUE);//Blink Gun
	allowWeapon(112,TRUE);//Qgun
	allowWeapon(113,TRUE);//MFAC
	allowWeapon(114,TRUE);//Nano Infuser
	allowWeapon(115,TRUE);//Nanite Cannon
	allowWeapon(116,TRUE);//Autocannon
	allowWeapon(117,TRUE);//Hvy Autocannon
	allowWeapon(118,TRUE);//EMC Autocannon
	allowWeapon(119,TRUE);//Blast Cannon
	allowWeapon(120,TRUE);//Hvy Blast Can
	allowWeapon(121,TRUE);//Rail Gun
	allowWeapon(124,TRUE);//Pit Viper 8
	allowWeapon(125,TRUE);//Pit Viper 12
	allowWeapon(126,TRUE);//Sparrow 6
	allowWeapon(127,TRUE);//Sparrow 10
	allowWeapon(128,TRUE);//SWARM 6
	allowWeapon(129,TRUE);//Minion
	allowWeapon(130,TRUE);//Shrike 8
	allowWeapon(147,TRUE);//Aphid
	allowWeapon(131,TRUE);//Arachnitron 4
	allowWeapon(132,TRUE);//Arachnitron 8
	allowWeapon(133,TRUE);//Arachnitron 12
	allowWeapon(134,TRUE);//Proximity 6
	allowWeapon(135,TRUE);//Proximity 10
	allowWeapon(136,TRUE);//Proximity 15
	allowWeapon(142,TRUE);//Radiation Gun
	allowWeapon(3,TRUE);//Disrupter
	allowWeapon(150,TRUE);//SMART Gun

	//Components

	//Reactors
	allowComponent(200,TRUE);//Human Micro Reactor
	allowComponent(201,TRUE);//Small Human Reactor 2 -- small
	allowComponent(202,TRUE);//Medium Human Reactor 1 Standard
	allowComponent(203,TRUE);//Medium Human Reactor 2 medium
	allowComponent(204,TRUE);//Large Human Reactor 1 -- large
	allowComponent(205,TRUE);//Large Human Reactor 2-- Maxim
	allowComponent(225,TRUE);//Small Cybrid Reactor 1 -- Alpha
	allowComponent(226,TRUE);//Small Cybrid Reactor 2-- Beta
	allowComponent(227,TRUE);//Medium Cybrid Reactor 1 -- Gamma
	allowComponent(228,TRUE);//Medium Cybrid Reactor 2--delta
	allowComponent(229,TRUE);//Large Cybrid Reactor 1--epsilon
	allowComponent(230,TRUE);//Large Cybrid Reactor 2--theta

	//Shields
	allowComponent(300,TRUE);//Human Standard Shield
	allowComponent(301,TRUE);//Human Protector Shield
	allowComponent(302,TRUE);//Human Guardian Shield
	allowComponent(303,TRUE);//Human FastCharge Shield
	allowComponent(304,TRUE);//Human Centurian Shield
	allowComponent(305,TRUE);//Human Repulsor Shield
	allowComponent(306,TRUE);//Human Titan Shield
	allowComponent(307,TRUE);//Human Medusa Shield
	allowComponent(326,TRUE);//Cybrid Alpha Shield
	allowComponent(327,TRUE);//Cybrid Beta Shield
	allowComponent(328,TRUE);//Cybrid Gamma Shield
	allowComponent(329,TRUE);//Cybrid Delta Shield
	allowComponent(330,TRUE);//Cybrid Epsilon Shield
	allowComponent(331,TRUE);//Cybrid Zeta Shield
	allowComponent(332,TRUE);//Cybrid Eta Shield
	allowComponent(333,TRUE);//Cybrid Theta Shield

	//Sensors
	allowComponent(400,TRUE);//Basic Human Sensor
	allowComponent(401,TRUE);//Long Range Sensor -- Ranger
	allowComponent(408,TRUE);//Standard Human Sensor
	allowComponent(409,TRUE);//Human Longbow Sensor
	allowComponent(410,TRUE);//Human Infiltrator Sensor
	allowComponent(411,TRUE);//Human Crossbow Sensor
	allowComponent(412,TRUE);//Human Ultralight Sensor
	allowComponent(413,TRUE);//Human Hound Dog Sensor
	allowComponent(414,TRUE);//Thermal Sensor
	allowComponent(426,TRUE);//Basic Cybrid Sensor (Alpha)
	allowComponent(427,TRUE);//Long Range Cybrid Sensor (Beta)
	allowComponent(428,TRUE);//Standard Cybrid Sensor (Gamma)
	allowComponent(429,TRUE);//Cybrid Longbow Sensor (Delta)
	allowComponent(430,TRUE);//Cybrid Infiltrator Sensor (Epsilon)
	allowComponent(431,TRUE);//Cybrid Crossbow Sensor (Zeta)
	allowComponent(432,TRUE);//Cybrid Ultralight Sensor (Eta)
	allowComponent(433,TRUE);//Cybrid Hound Dog Sensor (Theta)
	allowComponent(434,TRUE);//Motion Detector (Iota)

	//Engines
	allowComponent(100,TRUE);//Human Light Vehicle Engine
	allowComponent(101,TRUE);//Human High Output Light Engine
	allowComponent(102,TRUE);//Human Agile Light Engine
	allowComponent(103,TRUE);//Human Standard Medium Engine
	allowComponent(104,TRUE);//Human High Output Medium Engine
	allowComponent(105,TRUE);//Human Medium Agility Engine
	allowComponent(106,TRUE);//Human Standard Heavy Engine
	allowComponent(107,TRUE);//Human Improved Heavy Engine
	allowComponent(108,TRUE);//Human Heavy Cruise Engine
	allowComponent(109,TRUE);//Human High Output Heavy Engine
	allowComponent(110,TRUE);//Human Agile Heavy Engine
	allowComponent(111,TRUE);//Human Standard Assault Engine
	allowComponent(112,TRUE);//Human Improved Assault Engine
	allowComponent(113,TRUE);//Human heavy turbine engine
	allowComponent(114,TRUE);//High Output Turbine (HOT)
	allowComponent(115,TRUE);//Human super heavy engine
	allowComponent(128,TRUE);//Cybrid Alpha Light Vehicle Engine
	allowComponent(129,TRUE);//Cybrid Beta Light Agility Engine
	allowComponent(130,TRUE);//Cybrid Gamma Standard Medium Engine
	allowComponent(131,TRUE);//Cybrid Delta Medium Cruise Engine
	allowComponent(132,TRUE);//Cybrid Epsilon Improved Medium Engine
	allowComponent(133,TRUE);//Cybrid Zeta Medium High Output Engine
	allowComponent(134,TRUE);//Cybrid Eta Medium Agility Engine
	allowComponent(135,TRUE);//Cybrid Theta Standard Heavy Engine
	allowComponent(136,TRUE);//Cybrid Iota Heavy High Output Engine
	allowComponent(137,TRUE);//Cybrid Kappa Heavy Agility Engine
	allowComponent(138,TRUE);//Cybrid Lamda Standard Assault Engine
	allowComponent(139,TRUE);//Cybrid Mu Improved Assault Engine
	allowComponent(140,TRUE);//Cybrid Nu High Output Assault Engine
	allowComponent(141,TRUE);//Cybrid Xi Heavy Assault Engine
	allowComponent(142,TRUE);//Cybrid Omicron Heavy Assault Turbine
	allowComponent(143,TRUE);//Cybrid Pi Super Heavy Turbine

	//Armor
	allowComponent(926,TRUE);//Carbon Fiber (CARLAM)
	allowComponent(927,TRUE);//Quad Bonded Metaplas (QBM)
	allowComponent(928,TRUE);//DURAC (Depleteted Uranium)
	allowComponent(929,TRUE);//Ceramic
	allowComponent(930,TRUE);//Crystaluminum
	allowComponent(931,TRUE);//Quicksilver

	//Internal Components
	allowComponent(800,TRUE);//Human Basic Computer
	allowComponent(801,TRUE);//Human Improved Computer
	allowComponent(802,TRUE);//Human Advanced Computer
	allowComponent(805,TRUE);//Cybrid Basic Systems Control
	allowComponent(806,TRUE);//Cybrid Enhanced Systems Control
	allowComponent(807,TRUE);//Cybrid Advanced Systems Control
	allowComponent(810,TRUE);//Guardian ECM
	allowComponent(811,TRUE);//Doppleganger ECM
	allowComponent(812,TRUE);//Cybrid Alpha ECM
	allowComponent(813,TRUE);//Cybrid Beta ECM
	allowComponent(820,TRUE);//Thermal Diffuser
	allowComponent(830,TRUE);//Chameleon
	allowComponent(831,TRUE);//Cuttlefish cloak
	allowComponent(840,TRUE);//Shield Modulator
	allowComponent(845,TRUE);//Shield Capacitor
	allowComponent(850,TRUE);//Shield Amplifier (increases shield constant)
	allowComponent(860,TRUE);//Laser Targeting Module
	allowComponent(865,TRUE);//Extra Battery
	allowComponent(870,TRUE);//Reactor Capacitor
	allowComponent(875,TRUE);//Field Stabilizer
	allowComponent(880,TRUE);//Rocket Booster
	allowComponent(885,TRUE);//Turbine Boost
	allowComponent(890,TRUE);//NanoRepair
	allowComponent(900,TRUE);//Angle Life Support
	allowComponent(910,TRUE);//Agrav Generator
	allowComponent(912,TRUE);//ElectroHull
	allowComponent(914,TRUE);//UAP
}
